## haskell-http 0.4.20050430

=== Makefile ===
GHC = ghc
GHCFLAGS = 

.PHONY: clean

all: setup
	./setup configure
	./setup build

install:
	./setup install

setup:
	$(GHC) $(GHCFLAGS) --make -package Cabal Setup -o setup
	-rm -f Setup.hi Setup.o

clean:
	./setup clean

distclean: clean
	-rm -f setup Setup.hi Setup.o
	-rm -f .installed-pkg-config .setup-config

## haskell-http 4000.1.1

=== debian/changelog ===
haskell-http (1:4000.1.1-2build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Tue, 07 Jun 2011 13:20:25 +0100

haskell-http (1:4000.1.1-2) unstable; urgency=low

  * Return to sane version number scheme (Closes: #601698)
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Wed, 30 Mar 2011 10:41:06 +0530

haskell-http (40001010-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 27 Mar 2011 10:58:27 +0530

haskell-http (40000009-2) unstable; urgency=low

  * control: Use versioned Replaces: and Conflicts:

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 05 May 2010 18:05:44 -0300

haskell-http (40000009-1) unstable; urgency=low

  * New upstream release

 -- Leandro Lisboa Penz <llpenz@gmail.com>  Sun, 18 Apr 2010 15:19:04 -0300

haskell-http (40000006-4) unstable; urgency=low

  * debian/source/format: Use 3.0 (quilt).
  * debian/control: Rename -doc package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Tue, 16 Mar 2010 10:59:46 -0300

haskell-http (40000006-3) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Merge opts in one line.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.

  [ Joachim Breitner ]
  * Remove .cabal patch, bump dependencies
  * Remove hugs package

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 16:22:31 +0100

haskell-http (40000006-2) unstable; urgency=low

  * Use newest cdbs with support for DEB_BUILD_DEPENDENCIES = build-arch

 -- Joachim Breitner <nomeata@debian.org>  Mon, 20 Jul 2009 15:38:41 +0200

haskell-http (40000006-1) unstable; urgency=low

  [ Iain Lane ]
  * New upstream release (Closes: #524348)
    - Exports MkCookie data contructor. (Closes: #471139)
  * debian/rules, debian/control: Update to use hlibrary.mk
  * Remove old obsolete linda overrides 
  * Installable again (Closes: #531245)
  * debian/control: Switch to parsec2 - cannot build otherwise as network
    built against parsec2. 
  * debian/control: Clean up unnecessary build-deps
  * debian/control: Add hscolour to b-d-i; needed to build docs now 
  * debian/control: Bump standards-version to 3.8.2, no changes
  * debian/copyright: Update with new holders and info for myself 
  
  [ Joachim Breitner ]
  * Fix installation path for haddock files
  * Put into section haskell

 -- Joachim Breitner <nomeata@debian.org>  Mon, 20 Jul 2009 12:59:35 +0200

haskell-http (30010105-0.1) unstable; urgency=low

  * New upstream release that is compatible with GHC 6.10.
  * Rebuild with GHC 6.10.  Closes: #522766, #519704.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 06 Apr 2009 11:22:12 -0500

haskell-http (30010004-3) unstable; urgency=low

  * debian/control:
    - Add package containing the profiling libraries. (Closes: #473519)
    - Add the needed profiling packages to the build dependencies.
  * debian/haskell-http-doc.doc-base:
    - Change section to Programming to fix lintian warning
      "doc-base-unknown-section haskell-http-api:5 Apps/Programming"
  
 -- Arjan Oosting <arjan@debian.org>  Mon, 31 Mar 2008 11:01:26 +0200

haskell-http (30010004-2) unstable; urgency=low

  * Update for GHC 6.8.2:
    - debian/patches/00list: disable 01-work-with-old-cabal patch.
    - debian/control: Bump build dependency on ghc6 to 6.8.2 which ships
      the new Cabal version needed to build this package.
  * debian/control:
    - Adjust Vcs-* fields to point to trunk.
    - Change the section of libghc6-haxml-dev to libdevel as suggested by
      lintian (dev-package-should-be-section-libdevel)
  * debian/haskell-http-doc.doc-base:
    - Cabal version 1.2 installs the generated documentation into a
    different directory so adjust the doc-base file for that. 

 -- Arjan Oosting <arjan@debian.org>  Fri, 08 Feb 2008 23:46:10 +0100

haskell-http (30010004-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Rename Xs-Vcs-* fields to Vcs-* field.
    - Update build dependency on haskell-devscripts to (>= 0.6.0) which
      generates the haddock documentation now.
    - Bump Standards-Version to 3.7.3. No changes needed.
  * debian/haskell-http-doc.docs: Removed as dh_haskell_install installs
    the generated API documentation now.
  * debian/mk-haskell-depends: Removed as haskell-devscripts now ships
    dh_haskell_depends
  * debian/patches/01-work-with-old-cabal:
    - Added. Adjust the .cabal file to work with the Cabal version shipped
      with ghc 6.6.1.
  * debian/rules:
    - dh_haskell_install does not install empty directories anymore and
      removes empty directories from the GHC package configuration
      file, so stop doing this manually.
    - dh_haskell also generates the haddock documentation so stop calling
      ./setup haddock
    - Replace the call to debian/mk-haskell-depends with a call to
      dh_haskell_depends.

 -- Arjan Oosting <arjan@debian.org>  Sun, 30 Dec 2007 21:26:00 +0100

haskell-http (30000000-2) unstable; urgency=low

  * Rebuild with haddock 0.8-2 to make sure the links work.
  * debian/control:
    - Use new Homepage field.
  * debian/rules:
    - Move package specific parts in variables at the top of the
      makefile.



=== debian/control ===
Source: haskell-http
Priority: extra
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Arjan Oosting <arjan@debian.org>
Build-Depends:
  debhelper (>= 7),
  haskell-devscripts (>= 0.8),
  cdbs (>> 0.4.58),
  ghc,
  ghc-prof,
  ghc-doc,
  libghc-mtl-dev,
  libghc-mtl-prof,
  libghc-mtl-doc,
  libghc-network-dev,
  libghc-network-prof,
  libghc-network-doc,
  libghc-parsec3-prof,
  libghc-parsec3-dev,
  libghc-parsec3-doc,
Standards-Version: 3.9.1
Homepage: http://projects.haskell.org/http/
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-http/
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-http

Package: libghc-http-dev
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: GHC 6 libraries for the Haskell HTTP client library
 HTTP is a set of Haskell client libraries for HTTP/1.0 and HTTP/1.1.
 .
 This package contains the libraries compiled for GHC 6.

Package: libghc-http-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: profiling libraries for the Haskell HTTP client library
 HTTP is a set of Haskell client libraries for HTTP/1.0 and HTTP/1.1.
 .
 This package contains the profiling libraries compiled for GHC 6.

Package: libghc-http-doc
Replaces: haskell-http-doc (<< 40000006-4)
Conflicts: haskell-http-doc (<< 40000006-4)
Provides: haskell-http-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Description: Haskell HTTP client library documentation
 HTTP is a set of Haskell client libraries for HTTP/1.0 and HTTP/1.1.
 .
 This package contains the library documentation.

## haskell-http 4000.1.2

=== debian/changelog ===
haskell-http (1:4000.1.2-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 22 Sep 2011 21:23:51 +0200

=== debian/control ===
--- 
+++ 
@@ -29,10 +29,10 @@
 Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: GHC 6 libraries for the Haskell HTTP client library
+Description: GHC libraries for the Haskell HTTP client library
  HTTP is a set of Haskell client libraries for HTTP/1.0 and HTTP/1.1.
  .
- This package contains the libraries compiled for GHC 6.
+ This package contains the libraries compiled for GHC.
 
 Package: libghc-http-prof
 Architecture: any
@@ -42,7 +42,7 @@
 Description: profiling libraries for the Haskell HTTP client library
  HTTP is a set of Haskell client libraries for HTTP/1.0 and HTTP/1.1.
  .
- This package contains the profiling libraries compiled for GHC 6.
+ This package contains the profiling libraries compiled for GHC.
 
 Package: libghc-http-doc
 Replaces: haskell-http-doc (<< 40000006-4)

## haskell-http 4000.2.2

=== debian/changelog ===
haskell-http (1:4000.2.2-2) unstable; urgency=low

  * Add ${haskell:Depends} to -doc package

 -- Joachim Breitner <nomeata@debian.org>  Fri, 10 Feb 2012 23:20:49 +0100

haskell-http (1:4000.2.2-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.2.

 -- Clint Adams <clint@debian.org>  Mon, 06 Feb 2012 19:22:04 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Section: haskell
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Arjan Oosting <arjan@debian.org>
+Uploaders: Arjan Oosting <arjan@debian.org>, Clint Adams <clint@debian.org>
 Build-Depends:
   debhelper (>= 7),
   haskell-devscripts (>= 0.8),
@@ -19,7 +19,7 @@
   libghc-parsec3-prof,
   libghc-parsec3-dev,
   libghc-parsec3-doc,
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://projects.haskell.org/http/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-http/
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-http
@@ -50,7 +50,7 @@
 Provides: haskell-http-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${haskell:Depends}
 Suggests: ${haskell:Suggests}
 Recommends: ${haskell:Recommends}
 Description: Haskell HTTP client library documentation

## haskell-http 4000.2.3

=== debian/changelog ===
haskell-http (1:4000.2.3-1build2) quantal; urgency=low

  * No-change rebuild against GHC 7.4.2-2

 -- Iain Lane <laney@ubuntu.com>  Sun, 12 Aug 2012 17:55:35 +0000

haskell-http (1:4000.2.3-1build1) quantal; urgency=low

  * No-change rebuild for new ghc ABI.

 -- Ilya Barygin <randomaction@ubuntu.com>  Fri, 13 Jul 2012 22:28:55 +0400

haskell-http (1:4000.2.3-1) unstable; urgency=low

  * New upstream release, to go with the platform 2012.2.0.0 (no functional
    changes) 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 13 May 2012 11:27:49 +0200

## haskell-http 4000.2.6

=== debian/changelog ===
haskell-http (1:4000.2.6-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 02 Dec 2012 22:04:29 +0100

haskell-http (1:4000.2.5-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 19 Oct 2012 21:02:04 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,23 @@
 Uploaders: Arjan Oosting <arjan@debian.org>, Clint Adams <clint@debian.org>
 Build-Depends:
   debhelper (>= 7),
-  haskell-devscripts (>= 0.8),
+  haskell-devscripts (>= 0.8.13),
   cdbs (>> 0.4.58),
   ghc,
   ghc-prof,
   ghc-doc,
-  libghc-mtl-dev,
+  libghc-mtl-dev (>= 2.0),
+  libghc-mtl-dev (<< 2.2),
   libghc-mtl-prof,
   libghc-mtl-doc,
-  libghc-network-dev,
+  libghc-network-dev (>= 2.4),
+  libghc-network-dev (<< 2.5),
   libghc-network-prof,
   libghc-network-doc,
   libghc-parsec3-prof,
   libghc-parsec3-dev,
   libghc-parsec3-doc,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://projects.haskell.org/http/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-http/
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-http

## haskell-http 4000.2.8

=== debian/changelog ===
haskell-http (1:4000.2.8-1build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 May 2013 22:44:55 +0100

haskell-http (1:4000.2.8-1) unstable; urgency=low

  * New upstream release 

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 May 2013 15:52:39 +0200

haskell-http (1:4000.2.6-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Arjan Oosting <arjan@debian.org>, Clint Adams <clint@debian.org>
 Build-Depends:
-  debhelper (>= 7),
-  haskell-devscripts (>= 0.8.13),
+  debhelper (>= 9),
+  haskell-devscripts (>= 0.8.15),
   cdbs (>> 0.4.58),
   ghc,
   ghc-prof,
@@ -31,20 +31,20 @@
 Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: GHC libraries for the Haskell HTTP client library
+Description: GHC libraries for the Haskell HTTP client library${haskell:ShortBlurb}
  HTTP is a set of Haskell client libraries for HTTP/1.0 and HTTP/1.1.
  .
- This package contains the libraries compiled for GHC.
+ ${haskell:Blurb}
 
 Package: libghc-http-prof
 Architecture: any
 Depends: ${haskell:Depends}, ${misc:Depends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: profiling libraries for the Haskell HTTP client library
+Description: profiling libraries for the Haskell HTTP client library${haskell:ShortBlurb}
  HTTP is a set of Haskell client libraries for HTTP/1.0 and HTTP/1.1.
  .
- This package contains the profiling libraries compiled for GHC.
+ ${haskell:Blurb}
 
 Package: libghc-http-doc
 Replaces: haskell-http-doc (<< 40000006-4)
@@ -55,7 +55,7 @@
 Depends: ${misc:Depends}, ${haskell:Depends}
 Suggests: ${haskell:Suggests}
 Recommends: ${haskell:Recommends}
-Description: Haskell HTTP client library documentation
+Description: Haskell HTTP client library documentation${haskell:ShortBlurb}
  HTTP is a set of Haskell client libraries for HTTP/1.0 and HTTP/1.1.
  .
- This package contains the library documentation.
+ ${haskell:Blurb}

=== debian/rules ===
#!/usr/bin/make -f
DEB_BUILD_DEPENDENCIES = build-arch
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|HTTP-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/HTTP \
    ([\d\.]*\d)/

## haskell-http 4000.2.17

=== debian/changelog ===
haskell-http (1:4000.2.17-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release. 

 -- Joachim Breitner <nomeata@debian.org>  Mon, 23 Jun 2014 18:22:57 -0700

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,12 @@
   libghc-mtl-prof,
   libghc-mtl-doc,
   libghc-network-dev (>= 2.4),
-  libghc-network-dev (<< 2.5),
+  libghc-network-dev (<< 2.6),
   libghc-network-prof,
   libghc-network-doc,
   libghc-parsec3-prof,
-  libghc-parsec3-dev,
+  libghc-parsec3-dev (>= 2.0),
+  libghc-parsec3-dev (<< 3.2),
   libghc-parsec3-doc,
 Standards-Version: 3.9.4
 Homepage: http://projects.haskell.org/http/

## haskell-http 4000.2.19

=== debian/changelog ===
haskell-http (1:4000.2.19-4build2) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Jul 2015 10:26:08 +0100

haskell-http (1:4000.2.19-4build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Jul 2015 12:31:21 +0100

haskell-http (1:4000.2.19-4) unstable; urgency=medium

  * 1:4000.2.20-1

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 21:37:34 +0200

haskell-http (1:4000.2.19-3) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:58:44 +0200

haskell-http (1:4000.2.19-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:48 +0200

haskell-http (1:4000.2.19-1) experimental; urgency=medium

  * New upstream version
  * Move description from binary packages to X-Description
  * Bump standard version to 3.9.6
  * Reformat debian/copyright according to dep5

 -- Dmitry Bogatov <KAction@gnu.org>  Tue, 10 Mar 2015 13:39:41 +0300

haskell-http (1:4000.2.17-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:11:01 +0100

## haskell-http 4000.2.20

=== debian/changelog ===
haskell-http (1:4000.2.20-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 18 Jul 2015 09:18:18 +0200

=== debian/control ===
Source: haskell-http
Priority: extra
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Arjan Oosting <arjan@debian.org>, Clint Adams <clint@debian.org>,
 Dmitry Bogatov <KAction@gnu.org>
Build-Depends:
  debhelper (>= 9),
  haskell-devscripts (>= 0.9),
  cdbs (>> 0.4.58),
  ghc,
  ghc-prof,
  libghc-mtl-dev (>= 2.0),
  libghc-mtl-dev (<< 2.2),
  libghc-mtl-prof,
  libghc-network-dev (>= 2.6),
  libghc-network-dev (<< 2.7),
  libghc-network-prof,
  libghc-network-uri-dev (>= 2.6),
  libghc-network-uri-dev (<< 2.7),
  libghc-network-uri-prof,
  libghc-parsec3-prof,
  libghc-parsec3-dev (>= 2.0),
  libghc-parsec3-dev (<< 3.2),
Build-Depends-Indep:
  ghc-doc,
  libghc-mtl-doc,
  libghc-network-doc,
  libghc-network-uri-doc,
  libghc-parsec3-doc
Standards-Version: 3.9.6
Homepage: http://projects.haskell.org/http/
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-http/
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-http
X-Description: GHC libraries for the Haskell HTTP client library
 HTTP is a set of Haskell client libraries for HTTP/1.0 and HTTP/1.1.

Package: libghc-http-dev
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}


Package: libghc-http-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-http-doc
Replaces: haskell-http-doc (<< 40000006-4)
Conflicts: haskell-http-doc (<< 40000006-4)
Provides: haskell-http-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

## haskell-http 4000.2.23

=== debian/changelog ===
haskell-http (1:4000.2.23-1build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Jan 2016 21:23:15 +0000

haskell-http (1:4000.2.23-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 11 Jan 2016 01:09:16 -0500

haskell-http (1:4000.2.20-3) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:37 -0500

haskell-http (1:4000.2.20-2) experimental; urgency=medium

  * Depend on old-{locale,time}
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:54 +0200

=== debian/control ===
Source: haskell-http
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Arjan Oosting <arjan@debian.org>, Clint Adams <clint@debian.org>, Dmitry Bogatov <KAction@gnu.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-mtl-dev (>= 2.0),
 libghc-mtl-dev (<< 2.3),
 libghc-mtl-prof,
 libghc-network-dev (>= 2.6),
 libghc-network-dev (<< 2.7),
 libghc-network-prof,
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-dev (<< 2.7),
 libghc-network-uri-prof,
 libghc-old-time-dev (>= 1.0.0.0),
 libghc-old-time-dev (<< 1.2),
 libghc-old-time-prof,
 libghc-parsec3-dev (>= 2.0),
 libghc-parsec3-dev (<< 3.2),
 libghc-parsec3-prof,
Build-Depends-Indep: ghc-doc,
 libghc-mtl-doc,
 libghc-network-doc,
 libghc-network-uri-doc,
 libghc-old-time-doc,
 libghc-parsec3-doc,
Standards-Version: 3.9.6
Homepage: https://github.com/haskell/HTTP
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: GHC libraries for the Haskell HTTP client library
 HTTP is a set of Haskell client libraries for HTTP/1.0 and HTTP/1.1.

Package: libghc-http-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-http-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-http-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: haskell-http-doc (<< 40000006-4),
Provides: haskell-http-doc,
Replaces: haskell-http-doc (<< 40000006-4),
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/HTTP/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-http 4000.3.3

=== debian/changelog ===
haskell-http (1:4000.3.3-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:34:20 -0400

haskell-http (1:4000.3.3-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 01:25:18 -0400

haskell-http (1:4000.3.3-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 29 May 2016 12:15:54 +0200

=== debian/control ===
Source: haskell-http
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Arjan Oosting <arjan@debian.org>,
 Clint Adams <clint@debian.org>,
 Dmitry Bogatov <KAction@gnu.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-mtl-dev (<< 2.3),
 libghc-mtl-dev (>= 2.0),
 libghc-mtl-prof,
 libghc-network-dev (<< 2.7),
 libghc-network-dev (>= 2.6),
 libghc-network-prof,
 libghc-network-uri-dev (<< 2.7),
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-prof,
 libghc-parsec3-dev (<< 3.2),
 libghc-parsec3-dev (>= 2.0),
 libghc-parsec3-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-mtl-doc,
 libghc-network-doc,
 libghc-network-uri-doc,
 libghc-parsec3-doc,
Standards-Version: 3.9.8
Homepage: https://github.com/haskell/HTTP
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-http
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: GHC libraries for the Haskell HTTP client library
 HTTP is a set of Haskell client libraries for HTTP/1.0 and HTTP/1.1.

Package: libghc-http-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-http-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-http-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 haskell-http-doc (<< 40000006-4),
Provides:
 haskell-http-doc,
Replaces:
 haskell-http-doc (<< 40000006-4),
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

## haskell-http 4000.3.7

=== debian/changelog ===
haskell-http (1:4000.3.7-1build2) artful; urgency=medium

  * Rebuild to pick latest GHC.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 10 Jul 2017 09:11:02 +0530

haskell-http (1:4000.3.7-1build1) artful; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Jun 2017 05:15:33 +0000

haskell-http (1:4000.3.7-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 17 Jun 2017 14:52:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-http
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Arjan Oosting <arjan@debian.org>,
  Clint Adams <clint@debian.org>,

## haskell-http 4000.3.8

=== debian/changelog ===
haskell-http (1:4000.3.8-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Fri, 24 Nov 2017 15:49:52 -0500

## haskell-http 4000.3.9

=== debian/changelog ===
haskell-http (1:4000.3.9-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 18 Dec 2017 09:53:55 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: haskell-http
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Arjan Oosting <arjan@debian.org>,
  Clint Adams <clint@debian.org>,
  Dmitry Bogatov <KAction@gnu.org>,
-Priority: extra
+Priority: optional
 Section: haskell
 Build-Depends:
  cdbs,
@@ -31,7 +30,7 @@
  libghc-network-doc,
  libghc-network-uri-doc,
  libghc-parsec3-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/haskell/HTTP
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-http
 Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

## haskell-http 4000.3.11

=== debian/changelog ===
haskell-http (1:4000.3.11-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 16:22:12 -0400

=== debian/control ===
--- 
+++ 
@@ -30,10 +30,10 @@
  libghc-network-doc,
  libghc-network-uri-doc,
  libghc-parsec3-doc,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: https://github.com/haskell/HTTP
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-http
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-http
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
 X-Description: GHC libraries for the Haskell HTTP client library
  HTTP is a set of Haskell client libraries for HTTP/1.0 and HTTP/1.1.

## haskell-http 4000.3.12

=== debian/changelog ===
haskell-http (1:4000.3.12-4) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:13 +0300

haskell-http (1:4000.3.12-3) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:28 +0300

haskell-http (1:4000.3.12-2) unstable; urgency=medium

  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:11:53 +0300

haskell-http (1:4000.3.12-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 03 Jul 2018 08:22:19 -0400

=== debian/control ===
--- 
+++ 
@@ -6,34 +6,27 @@
  Dmitry Bogatov <KAction@gnu.org>,
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  haskell-devscripts (>= 0.13),
- libghc-mtl-dev (<< 2.3),
- libghc-mtl-dev (>= 2.0),
- libghc-mtl-prof,
- libghc-network-dev (<< 2.7),
  libghc-network-dev (>= 2.6),
+ libghc-network-dev (<< 2.8),
  libghc-network-prof,
  libghc-network-uri-dev (<< 2.7),
  libghc-network-uri-dev (>= 2.6),
  libghc-network-uri-prof,
- libghc-parsec3-dev (<< 3.2),
- libghc-parsec3-dev (>= 2.0),
- libghc-parsec3-prof,
 Build-Depends-Indep:
  ghc-doc,
- libghc-mtl-doc,
  libghc-network-doc,
  libghc-network-uri-doc,
- libghc-parsec3-doc,
 Standards-Version: 4.1.4
 Homepage: https://github.com/haskell/HTTP
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-http
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-http]
 X-Description: GHC libraries for the Haskell HTTP client library
  HTTP is a set of Haskell client libraries for HTTP/1.0 and HTTP/1.1.

## haskell-http 4000.3.14

=== debian/changelog ===
haskell-http (1:4000.3.14-2build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Oct 2020 00:52:18 +0000

haskell-http (1:4000.3.14-2build1) groovy; urgency=medium

  * No change rebuild against new ghc ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 22 Jul 2020 01:26:16 +0100

haskell-http (1:4000.3.14-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Remove Dmitry Bogatov from Uploaders per his request. Thank you
    Dmitry for your previous maintainership.

 -- Clint Adams <clint@debian.org>  Thu, 04 Jun 2020 12:59:32 -0400

haskell-http (1:4000.3.14-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 27 Jul 2019 21:06:58 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: haskell-http
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Arjan Oosting <arjan@debian.org>,
  Clint Adams <clint@debian.org>,
- Dmitry Bogatov <KAction@gnu.org>,
+ Ilias Tsitsimpis <iliastsi@debian.org>,
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
@@ -14,7 +15,7 @@
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-network-dev (>= 2.6),
- libghc-network-dev (<< 2.8),
+ libghc-network-dev (<< 3.2),
  libghc-network-prof,
  libghc-network-uri-dev (<< 2.7),
  libghc-network-uri-dev (>= 2.6),
@@ -23,7 +24,7 @@
  ghc-doc,
  libghc-network-doc,
  libghc-network-uri-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: https://github.com/haskell/HTTP
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-http
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-http]

## haskell-http 4000.3.16

=== debian/changelog ===
haskell-http (1:4000.3.16-1build2) lunar; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 11 Dec 2022 09:40:27 +0100

haskell-http (1:4000.3.16-1build1) kinetic; urgency=medium

  * No-change rebuild for new ghc

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 23 Aug 2022 02:37:43 +0000

haskell-http (1:4000.3.16-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove MIA uploaders

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 14 Jun 2022 16:22:42 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
- Arjan Oosting <arjan@debian.org>,
  Clint Adams <clint@debian.org>,
  Ilias Tsitsimpis <iliastsi@debian.org>,
 Priority: optional

## haskell-http 4000.4.1

=== debian/changelog ===
haskell-http (1:4000.4.1-3) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Clint Adams ]
  * Patch for newer dependencies.

 -- Clint Adams <clint@debian.org>  Sat, 10 Jan 2026 20:55:31 -0500

haskell-http (1:4000.4.1-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 21 Sep 2024 18:33:10 +0300

haskell-http (1:4000.4.1-1) unstable; urgency=medium

  * New upstream release
  * Declare compliance with Debian policy 4.6.2
  * Remove MIA uploaders (Closes: #907111)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 07 Sep 2023 21:06:10 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: haskell-http
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Clint Adams <clint@debian.org>,
  Ilias Tsitsimpis <iliastsi@debian.org>,
@@ -8,13 +7,13 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 10),
- ghc (>= 8.4.3),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
+ ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-network-dev (>= 2.6),
- libghc-network-dev (<< 3.2),
+ libghc-network-dev (<< 3.3),
  libghc-network-prof,
  libghc-network-uri-dev (<< 2.7),
  libghc-network-uri-dev (>= 2.6),
@@ -23,7 +22,7 @@
  ghc-doc,
  libghc-network-doc,
  libghc-network-uri-doc,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/haskell/HTTP
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-http
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-http]

=== debian/rules ===
#!/usr/bin/make -f
DEB_BUILD_DEPENDENCIES = build-arch

%:
	dh $@

## haskell-http 20060707

=== Makefile ===
HADDOCK = haddock

TODAY = $(shell date +%Y%m%d)
DIST_NAME = http-$(TODAY)

HADDOCK_FILES = Network/HTTP.hs Network/Browser.hs 

.PHONY: all configure build install dist haddock clean

default all: configure build

configure:
	./Setup.lhs configure

build:
	./Setup.lhs build

install:
	./Setup.lhs install

dist:
	darcs dist --dist-name=$(DIST_NAME)

haddock: $(HADDOCK_FILES)
	mkdir -p haddock
	$(HADDOCK) -o haddock -h $^

clean:
	-./Setup.lhs clean
	-rm -rf haddock
	-rm -rf dist
	$(MAKE) -C test clean

setup: Setup.lhs
	ghc --make -package Cabal -o setup Setup.lhs

=== test/Makefile ===
GHC = ghc
GHCFLAGS = -O2 -package HTTP

TEST_PROGS = get

.SUFFIXES: .hs .hi .o

.PHONY: all clean

default all: $(TEST_PROGS)

%: %.hs
	$(GHC) $(GHCFLAGS) --make -o $@ $<

clean:
	-rm -f *.hi *.o $(TEST_PROGS)

## haskell-http 40000009

=== debian/control ===
Source: haskell-http
Priority: extra
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Arjan Oosting <arjan@debian.org>
Build-Depends:
  debhelper (>= 7),
  haskell-devscripts (>= 0.7),
  cdbs (>> 0.4.58),
  ghc6,
  ghc6-prof,
  ghc6-doc,
  libghc6-mtl-dev,
  libghc6-mtl-prof,
  libghc6-mtl-doc,
  libghc6-network-dev,
  libghc6-network-prof,
  libghc6-network-doc,
  libghc6-parsec2-prof,
  libghc6-parsec2-dev,
  libghc6-parsec2-doc,
Standards-Version: 3.8.4
Homepage: http://projects.haskell.org/http/
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-http/
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-http

Package: libghc6-http-dev
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: GHC 6 libraries for the Haskell HTTP client library
 HTTP is a set of Haskell client libraries for HTTP/1.0 and HTTP/1.1.
 .
 This package contains the libraries compiled for GHC 6.

Package: libghc6-http-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: profiling libraries for the Haskell HTTP client library
 HTTP is a set of Haskell client libraries for HTTP/1.0 and HTTP/1.1.
 .
 This package contains the profiling libraries compiled for GHC 6.

Package: libghc6-http-doc
Replaces: haskell-http-doc (<< 40000006-4)
Conflicts: haskell-http-doc (<< 40000006-4)
Provides: haskell-http-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Description: Haskell HTTP client library documentation
 HTTP is a set of Haskell client libraries for HTTP/1.0 and HTTP/1.1.
 .
 This package contains the library documentation.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HADDOCK_HTML_DIR ?= /usr/share/doc/haskell-http-doc/html/
DEB_BUILD_DEPENDENCIES = build-arch
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(\d)(?=\.|$)/0$1/g;s/\.(\d\d)(?=\.|$)/$1/g,\
downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|HTTP-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/HTTP \
    ([\d\.]*\d)/
